import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.hibernate.Transaction;
import org.hibernate.cfg.Configuration;

public class EmpIdNameSalary {
	public static void main(String[] args) {
		SessionFactory hibernateConfig1 = new Configuration().configure(
				"hibernate1.cfg.xml").buildSessionFactory();
		SessionFactory hibernateConfig2 = new Configuration().configure(
				"hibernate2.cfg.xml").buildSessionFactory();

		Session session = null;
		Transaction transaction = null;
		List empIdNameList = new ArrayList();
		List empIdSalaryList = new ArrayList();
		try {
			session = hibernateConfig1.openSession();
			transaction = session.beginTransaction();
			transaction.begin();
			Criteria idNameCrit = session.createCriteria(EmpIdName.class);
			empIdNameList = idNameCrit.list();
			System.out.println("Records from DatabaseOne");
			Iterator idNameIter = empIdNameList.iterator();
			while (idNameIter.hasNext()) {
				System.out.println();
				EmpIdName idNameDb = (EmpIdName) idNameIter.next();
				System.out.println("Id From DatabaseOne : "
						+ idNameDb.getEmpid());
				System.out.println("Name From DatabaseTwo : "
						+ idNameDb.getEmpname());
			}

			session.close();
			session = hibernateConfig2.openSession();
			Criteria idSalCrit = session.createCriteria(EmpIdSalary.class);
			empIdSalaryList = idSalCrit.list();
			System.out.println("Records from DatabaseTwo");
			Iterator idSalIter = empIdSalaryList.iterator();
			while (idSalIter.hasNext()) {
				System.out.println();
				EmpIdSalary idSalDb = (EmpIdSalary) idSalIter.next();
				System.out.println("Id From DatabaseTwo : "
						+ idSalDb.getEmpid());
				System.out.println("Salary From DatabaseTwo : "
						+ idSalDb.getEmpsalary());
			}

			session.close();
		} catch (Exception he) {
			he.printStackTrace();
		}
	}

}
